Execute a runtime operation
curl --request POST \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/deployments/{deploymentId}/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service": "<string>",
"operation": "<string>",
"parameters": [
"<string>"
]
}
'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/deployments/{deploymentId}/operations"
payload = {
"service": "<string>",
"operation": "<string>",
"parameters": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({service: '<string>', operation: '<string>', parameters: ['<string>']})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/deployments/{deploymentId}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Runtime Operations
Execute a runtime operation
Execute a runtime operation on a currently deployed environment. This allows you to run one-off commands, such as rebuilding static assets on demand, by defining an operations key in a project’s .upsun/config.yaml configuration. More information on runtime operations is available in our user documentation.
POST
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
deployments
/
{deploymentId}
/
operations
Execute a runtime operation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on June 16, 2026
Was this page helpful?
⌘I